// priority: 0

onEvent('recipes', e => {
  //removals
  removeRecipeByID(e, [
    MB("barrels/wood_to_copper_barrel"),
    MB("barrels/wood_to_iron_barrel"),
    MB("barrels/wood_to_gold_barrel"),
  ])

  //copper
	e.shaped(MB(`copper_barrel`), [
		  'ABA',
  ], {
    A: F("#ingots/copper"),
    B: CH("#barrels"),
  }).id(KJ(`${MB()}/wood_to_copper_barrel`))

  //iron
	e.shaped(MB(`iron_barrel`), [
      ' A ',
		  'ABA',
      ' A ',
  ], {
    A: F("#ingots/iron"),
    B: CH("#barrels"),
  }).id(KJ(`${MB()}/wood_to_iron_barrel`))

  //gold
	e.shaped(MB(`gold_barrel`), [
      'CAC',
		  'ABA',
      'CAC',
  ], {
    A: F("#ingots/iron"),
    B: CH("#barrels"),
    C: F("#ingots/gold"),
  }).id(KJ(`${MB()}/wood_to_gold_barrel`))
})
